components:
  schemas:
    Role_v1_0_10_Role:
      additionalProperties: false
      description: The `Role` schema contains a Redfish role to use in conjunction
        with a manager account.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        AssignedPrivileges:
          description: The Redfish privileges for this role.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Privileges.yaml#/components/schemas/Privileges_PrivilegeType
          readOnly: false
          type: array
          x-longDescription: This property shall contain the Redfish privileges for
            this role.  For predefined roles, this property shall be read-only.  For
            custom roles, some implementations may prevent writing to this property.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        IsPredefined:
          description: An indication of whether the role is predefined by Redfish
            or an OEM rather than a client-defined role.
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the role is predefined
            by Redfish or an OEM as contrasted with a client-defined role.  If this
            property is not present, the value should be assumed to be `false`.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        OemPrivileges:
          description: The OEM privileges for this role.
          items:
            type: string
          readOnly: false
          type: array
          x-longDescription: This property shall contain the OEM privileges for this
            role.  For predefined roles, this property shall be read-only.  For custom
            roles, some implementations may prevent writing to this property.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent the Redfish role for the user
        account.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#Role.v1_0_10.Role'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '1.0'
